VkPhysicalDeviceRayTracingPropertiesNV Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
uint32_t | shaderGroupHandleSize
uint32_t | maxRecursionDepth
uint32_t | maxShaderGroupStride
uint32_t | shaderGroupBaseAlignment
uint64_t | maxGeometryCount
uint64_t | maxInstanceCount
uint64_t | maxTriangleCount
uint32_t | maxDescriptorSetAccelerationStructures

## Detailed Description

Definition at line 8301 of file vulkan_core.h.

## Field Documentation

## maxDescriptorSetAccelerationStructures

uint32_t VkPhysicalDeviceRayTracingPropertiesNV::maxDescriptorSetAccelerationStructures

Definition at line 8311 of file vulkan_core.h.

## maxGeometryCount

uint64_t VkPhysicalDeviceRayTracingPropertiesNV::maxGeometryCount

Definition at line 8308 of file vulkan_core.h.

## maxInstanceCount

uint64_t VkPhysicalDeviceRayTracingPropertiesNV::maxInstanceCount

Definition at line 8309 of file vulkan_core.h.

## maxRecursionDepth

uint32_t VkPhysicalDeviceRayTracingPropertiesNV::maxRecursionDepth

Definition at line 8305 of file vulkan_core.h.

## maxShaderGroupStride

uint32_t VkPhysicalDeviceRayTracingPropertiesNV::maxShaderGroupStride

Definition at line 8306 of file vulkan_core.h.

## maxTriangleCount

uint64_t VkPhysicalDeviceRayTracingPropertiesNV::maxTriangleCount

Definition at line 8310 of file vulkan_core.h.

## pNext

void* VkPhysicalDeviceRayTracingPropertiesNV::pNext

Definition at line 8303 of file vulkan_core.h.

## shaderGroupBaseAlignment

uint32_t VkPhysicalDeviceRayTracingPropertiesNV::shaderGroupBaseAlignment

Definition at line 8307 of file vulkan_core.h.

## shaderGroupHandleSize

uint32_t VkPhysicalDeviceRayTracingPropertiesNV::shaderGroupHandleSize

Definition at line 8304 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceRayTracingPropertiesNV::sType

Definition at line 8302 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h